# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..8\n"; }
END {print "not ok 1\n" unless $loaded;}
use NCC::CountryCode;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

my $cc = new NCC::CountryCode();

print "not " unless $cc;
print "ok 2\n";

unless($cc->isCC('ru')) {
    print "not ";
}
print "ok 3\n";

unless($cc->isCC('GB')) {
    print "not ";
}
print "ok 4\n";

unless($cc->isCC('zw')) {
    print "not ";
}
print "ok 5\n";


if($cc->CC2Country('kp') ne 'KOREA, DEMOCRATIC PEOPLE\'S REPUBLIC OF') {
    print "not ";
}
print "ok 6\n";

if($cc->Country2CC('korea') ne 'KP: KOREA, DEMOCRATIC PEOPLE\'S REPUBLIC OF; KR: KOREA, REPUBLIC OF; ') {
    print "not ";
}
print "ok 7\n";

if($cc->Country2CC('xxxxxxxxxx')) {
    print "not ";
}
print "ok 8\n";

